.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_PinJoint2D:

PinJoint2D
==========

**Inherits:** :ref:`Joint2D<class_joint2d>` **<** :ref:`Node2D<class_node2d>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Pin Joint for 2D Shapes.

Member Functions
----------------

+----------------------------+-----------------------------------------------------------------------------------------------------+
| :ref:`float<class_float>`  | :ref:`get_softness<class_PinJoint2D_get_softness>`  **(** **)** const                               |
+----------------------------+-----------------------------------------------------------------------------------------------------+
| void                       | :ref:`set_softness<class_PinJoint2D_set_softness>`  **(** :ref:`float<class_float>` softness  **)** |
+----------------------------+-----------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`float<class_float>` **softness**

Description
-----------

Pin Joint for 2D Rigid Bodies. It pins 2 bodies (rigid or static) together, or a single body to a fixed position in space.

Member Function Description
---------------------------

.. _class_PinJoint2D_get_softness:

- :ref:`float<class_float>`  **get_softness**  **(** **)** const

.. _class_PinJoint2D_set_softness:

- void  **set_softness**  **(** :ref:`float<class_float>` softness  **)**


